/* $Id:*/
/*============================================================================*
 |                 Copyright (c) 2014 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/cost-allocation-fields.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/cost-allocation-fields.xml',
'<View deleteAllowed="true" deleteLabel="Delete" defaultFormHandler="">

   <CreateFields>
		
		<Hidden id="PERSON_ID" />
		<Hidden id="ASSIGNMENT_ID" />
		<Hidden id="COST_ALLOCATION_ID" />
		<Hidden id="OBJECT_VERSION_NUMBER" />
		<Number id="PROPORTION" label="{message.XXAS_COST_PROPORTION}" required="true" />
		<Flexfield applicationShortCode="PAY" flexCode="COST" flexStructureCode="COST_ALLOCATION_FLEXFIELD"/>
		<Date id="START_DATE" label="{message.XXAS_COST_FROM}" enabled="false" />
		<Date id="END_DATE" label="{message.XXAS_COST_TO}" enabled="false" />
		
   </CreateFields>
   
</View>' );
  xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/cost-allocation-fields.xml');
END;
/
COMMIT;
EXIT;
